TypeScript
import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.configuration.identityProviders.get();
}
main();
import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.configuration.identityProviders.get();
}
main();
package example
import (
context "context"
client "github.com/auth0/myorganization-go/v2/client"
option "github.com/auth0/myorganization-go/v2/option"
)
func do() {
c, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
c.Organization.Configuration.IdentityProviders.Get(
context.TODO(),
)
}
using Auth0.MyOrganizationApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new MyOrganizationClient(new MyOrganizationClientOptions
{
Domain = "{YOUR_DOMAIN}",
TokenProvider = new DelegateTokenProvider(_ => Task.FromResult("<token>"))
});
await client.Organization.Configuration.IdentityProviders.GetAsync();
}
}
package com.example.usage;
import com.auth0.client.myorganization.auth.MyOrganizationClient;
public class Example {
public static void main(String[] args) {
MyOrganizationClient client = MyOrganizationClient
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.organization().configuration().identityProviders().get();
}
}from auth0.myorganization import MyOrganizationClient
client = MyOrganizationClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.organization.configuration.identity_providers.get()
curl --request GET \
--url https://{tenantDomain}/my-org/v1/config/identity-providers \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}/my-org/v1/config/identity-providers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}/my-org/v1/config/identity-providers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"organization": {
"can_set_show_as_button": true,
"can_set_assign_membership_on_login": false
},
"strategies": {
"adfs": {
"provisioning_methods": [],
"enabled_features": []
},
"googleapps": {
"provisioning_methods": [],
"enabled_features": []
},
"oidc": {
"provisioning_methods": [
"scim"
],
"enabled_features": [
"provisioning"
]
},
"okta": {
"provisioning_methods": [
"scim"
],
"enabled_features": [
"provisioning",
"universal_logout"
]
},
"pingfederate": {
"provisioning_methods": [],
"enabled_features": []
},
"samlp": {
"provisioning_methods": [
"scim"
],
"enabled_features": [
"provisioning",
"universal_logout"
]
},
"waad": {
"provisioning_methods": [
"scim"
],
"enabled_features": [
"provisioning"
]
}
}
}{
"type": "https://auth0.com/api-errors#A0E-401-0002",
"status": 401,
"title": "Missing Token",
"detail": "No auth token provided."
}{
"type": "https://auth0.com/api-errors#A0E-403-0002",
"status": 403,
"title": "Insufficient Scope",
"detail": "The auth token lacks the required scope: Check the API documentation for the required scopes for this endpoint."
}{
"type": "https://auth0.com/api-errors#A0E-404-0002",
"status": 404,
"title": "Resource Not Found",
"detail": "The organization does not exist."
}{
"type": "https://auth0.com/api-errors#A0E-429-0003",
"status": 429,
"title": "Endpoint Rate Limit Exceeded",
"detail": "The endpoint request limit has been exceeded."
}Get Identity Provider configuration
Retrieve the Connection Profile for this application. You should cache this information as it does not change frequently.
GET
/
config
/
identity-providers
TypeScript
import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.configuration.identityProviders.get();
}
main();
import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.configuration.identityProviders.get();
}
main();
package example
import (
context "context"
client "github.com/auth0/myorganization-go/v2/client"
option "github.com/auth0/myorganization-go/v2/option"
)
func do() {
c, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
c.Organization.Configuration.IdentityProviders.Get(
context.TODO(),
)
}
using Auth0.MyOrganizationApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new MyOrganizationClient(new MyOrganizationClientOptions
{
Domain = "{YOUR_DOMAIN}",
TokenProvider = new DelegateTokenProvider(_ => Task.FromResult("<token>"))
});
await client.Organization.Configuration.IdentityProviders.GetAsync();
}
}
package com.example.usage;
import com.auth0.client.myorganization.auth.MyOrganizationClient;
public class Example {
public static void main(String[] args) {
MyOrganizationClient client = MyOrganizationClient
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.organization().configuration().identityProviders().get();
}
}from auth0.myorganization import MyOrganizationClient
client = MyOrganizationClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.organization.configuration.identity_providers.get()
curl --request GET \
--url https://{tenantDomain}/my-org/v1/config/identity-providers \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}/my-org/v1/config/identity-providers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}/my-org/v1/config/identity-providers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"organization": {
"can_set_show_as_button": true,
"can_set_assign_membership_on_login": false
},
"strategies": {
"adfs": {
"provisioning_methods": [],
"enabled_features": []
},
"googleapps": {
"provisioning_methods": [],
"enabled_features": []
},
"oidc": {
"provisioning_methods": [
"scim"
],
"enabled_features": [
"provisioning"
]
},
"okta": {
"provisioning_methods": [
"scim"
],
"enabled_features": [
"provisioning",
"universal_logout"
]
},
"pingfederate": {
"provisioning_methods": [],
"enabled_features": []
},
"samlp": {
"provisioning_methods": [
"scim"
],
"enabled_features": [
"provisioning",
"universal_logout"
]
},
"waad": {
"provisioning_methods": [
"scim"
],
"enabled_features": [
"provisioning"
]
}
}
}{
"type": "https://auth0.com/api-errors#A0E-401-0002",
"status": 401,
"title": "Missing Token",
"detail": "No auth token provided."
}{
"type": "https://auth0.com/api-errors#A0E-403-0002",
"status": 403,
"title": "Insufficient Scope",
"detail": "The auth token lacks the required scope: Check the API documentation for the required scopes for this endpoint."
}{
"type": "https://auth0.com/api-errors#A0E-404-0002",
"status": 404,
"title": "Resource Not Found",
"detail": "The organization does not exist."
}{
"type": "https://auth0.com/api-errors#A0E-429-0003",
"status": 429,
"title": "Endpoint Rate Limit Exceeded",
"detail": "The endpoint request limit has been exceeded."
}Authorizations
OAuth2ClientCredentialsOAuth2AuthCode
The access token received from the authorization server in the OAuth 2.0 flow.